import { jsx } from "react/jsx-runtime";
import { TokenSAMA as TokenSAMA$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenSAMA = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "SAMA", "data-name": "TokenSAMA", ...props, children: /* @__PURE__ */ jsx(TokenSAMA$1, { variant }) });
  }
);
TokenSAMA.displayName = "TokenSAMA";
Object.assign(TokenSAMA, { isGdsIcon: true });
export {
  TokenSAMA
};
